Loading...
Searching...
No Matches
OBConformerData Class Reference

`#include <openbabel/generic.h>`

Inheritance diagram for OBConformerData:
[legend]

## Public Member Functions

| OBConformerData ()
| OBConformerData (const OBConformerData &)
virtual OBGenericData * | Clone (OBBase *) const
| ~OBConformerData ()
OBConformerData & | operator= (const OBConformerData &)
void | SetDimension (std::vector< unsigned short > vd)
void | SetEnergies (std::vector< double > ve)
void | SetForces (std::vector< std::vector< vector3 > > vf)
void | SetVelocities (std::vector< std::vector< vector3 > > vv)
void | SetDisplacements (std::vector< std::vector< vector3 > > vd)
void | SetData (std::vector< std::string > vdat)
std::vector< unsigned short > | GetDimension ()
std::vector< double > | GetEnergies ()
std::vector< std::vector< vector3 > > | GetForces ()
std::vector< std::vector< vector3 > > | GetVelocities ()
std::vector< std::vector< vector3 > > | GetDisplacements ()
std::vector< std::string > | GetData ()
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const

## Protected Attributes

std::vector< unsigned short > | _vDimension
std::vector< double > | _vEnergies
std::vector< std::vector< vector3 > > | _vForces
std::vector< std::vector< vector3 > > | _vVelocity
std::vector< std::vector< vector3 > > | _vDisplace
std::vector< std::string > | _vData
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Used to hold data on conformers or geometry optimization steps.

Supplements the support for multiple coordinate sets in OBMol, e.g., OBMol::GetConformer()

## Constructor & Destructor Documentation

## OBConformerData() [1/2]

OBConformerData | ( |  | ) |

Referenced by Clone(), OBConformerData(), and operator=().

## OBConformerData() [2/2]

OBConformerData | ( | const OBConformerData & | src | ) |

## ~OBConformerData()

~OBConformerData | ( |  | ) |

inline

## Member Function Documentation

## Clone()

virtual OBGenericData * Clone | ( | OBBase * |  | ) | const

inline virtual

Reimplemented from OBGenericData.

## operator=()

OBConformerData & operator= | ( | const OBConformerData & | src | ) |

## SetDimension()

void SetDimension | ( | std::vector< unsigned short > | vd | ) |

inline

## SetEnergies()

void SetEnergies | ( | std::vector< double > | ve | ) |

inline

Referenced by OBForceField::GetConformers(), OBForceField::GetCoordinates(), and OBMol::SetEnergies().

## SetForces()

void SetForces | ( | std::vector< std::vector< vector3 > > | vf | ) |

inline

Referenced by OBForceField::GetCoordinates().

## SetVelocities()

void SetVelocities | ( | std::vector< std::vector< vector3 > > | vv | ) |

inline

## SetDisplacements()

void SetDisplacements | ( | std::vector< std::vector< vector3 > > | vd | ) |

inline

## SetData()

void SetData | ( | std::vector< std::string > | vdat | ) |

inline

## GetDimension()

std::vector< unsigned short > GetDimension | ( |  | ) |

inline

## GetEnergies()

std::vector< double > GetEnergies | ( |  | ) |

inline

Referenced by OBMol::GetEnergies(), and OBMol::GetEnergy().

## GetForces()

std::vector< std::vector< vector3 > > GetForces | ( |  | ) |

inline

## GetVelocities()

std::vector< std::vector< vector3 > > GetVelocities | ( |  | ) |

inline

## GetDisplacements()

std::vector< std::vector< vector3 > > GetDisplacements | ( |  | ) |

inline

## GetData()

std::vector< std::string > GetData | ( |  | ) |

inline

## SetAttribute()

void SetAttribute | ( | const std::string & | v | ) |

inline inherited

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), AliasData::Expand(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## SetOrigin()

void SetOrigin | ( | const DataOrigin | s | ) |

inline inherited

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## GetAttribute()

virtual const std::string & GetAttribute | ( |  | ) | const

inline virtual inherited

Returns
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

## GetDataType()

unsigned int GetDataType | ( |  | ) | const

inline inherited

Returns
  the data type for this object as defined in OBGenericDataType

## GetValue()

virtual const std::string & GetValue | ( |  | ) | const

inline virtual inherited

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBCommentData, and OBPairData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

## GetOrigin()

virtual DataOrigin GetOrigin | ( |  | ) | const

inline virtual inherited

## Member Data Documentation

## _vDimension

std::vector<unsigned short> _vDimension

protected

Dimensionalities of conformers.

Referenced by GetDimension(), OBConformerData(), operator=(), and SetDimension().

## _vEnergies

std::vector<double> _vEnergies

protected

Relative energies of conformers (preferably in kJ/mol).

Referenced by GetEnergies(), OBConformerData(), operator=(), and SetEnergies().

## _vForces

std::vector< std::vector< vector3 > > _vForces

protected

Atomic forces for each conformer.

Referenced by GetForces(), OBConformerData(), operator=(), and SetForces().

## _vVelocity

std::vector< std::vector< vector3 > > _vVelocity

protected

Atomic velocities for each conformer (e.g., trajectories).

Referenced by GetVelocities(), OBConformerData(), operator=(), and SetVelocities().

## _vDisplace

std::vector< std::vector< vector3 > > _vDisplace

protected

Atomic displacements for each conformer (e.g., RMS distances).

Referenced by GetDisplacements(), OBConformerData(), operator=(), and SetDisplacements().

## _vData

std::vector<std::string> _vData

protected

Additional data (as strings).

Referenced by GetData(), OBConformerData(), operator=(), and SetData().

## _attr

std::string _attr

protected inherited

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), GetAttribute(), GetValue(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), OBSymmetryData::OBSymmetryData(), and SetAttribute().

## _type

unsigned int _type

protected inherited

attribute type – declared for each subclass

Referenced by OBRotamerList::Clone(), GetDataType(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), and OBSymmetryData::OBSymmetryData().

## _source

DataOrigin _source

protected inherited

source of data for accounting

Referenced by GetOrigin(), OBGenericData(), OBSymmetryData::OBSymmetryData(), OBAngleData::operator=(), OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), and SetOrigin().

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp